--英雄(伙伴)的常量
-- by lwc
HeroConst = HeroConst or {}


--英雄背包页签类型
HeroConst.BagTab = {
    eBagHero        = 1 , --英雄页签
    eBagPokedex    = 2 , --图鉴页签
    eElfin          = 3,  -- 精灵
    eHalidom        = 4,  -- 圣物
}

--英雄主信息界面页签类型
HeroConst.MainInfoTab = {
    eMainTrain          = 1 , --培养  -- eMainEquip          = 2 , --装备 装备界面被移除了 放到英雄旁边
    eMainUpgradeStar    = 2 , --升星 
    eMainTalent         = 3 , --天赋
    eMainHolyequipment  = 4 , --神装
}

-- 英雄主信息界面页签类型名字
HeroConst.MainInfoTabName = {
    [HeroConst.MainInfoTab.eMainTrain] = TI18N("培养"),
    [HeroConst.MainInfoTab.eMainUpgradeStar] = TI18N("升星"),
    [HeroConst.MainInfoTab.eMainTalent] = TI18N("天赋领悟"),
    [HeroConst.MainInfoTab.eMainHolyequipment] = TI18N("神装"),
}
--布阵界面中间的页签类型
HeroConst.FormMiddleTab = {
    eFormHero          = 1 , --上阵英雄
    eFormHallows       = 2 , --神器
    eFormFormation     = 3 , --阵法
}

HeroConst.FormShowType = {
    eFormFight   = 1 , --出战
    eFormSave    = 2 , --保存布阵
}
--英雄献祭类型
HeroConst.SacrificeType = {
    eHeroFuse          =   1, --融合神殿
    eHeroSacrifice     =   2, --英雄献祭
    eHeroReplace       =   3, --置换神殿
    eHeroDisband       =   4, --英雄重生
    eSoulCallback      =   5, --灵魂回调
}

HeroConst.tabType = {
    [HeroConst.SacrificeType.eHeroFuse] = UI_TI18N(10001),
    [HeroConst.SacrificeType.eHeroSacrifice] = UI_TI18N(10002),
    [HeroConst.SacrificeType.eHeroReplace] = UI_TI18N(10003),
    [HeroConst.SacrificeType.eHeroDisband] = UI_TI18N(10004),
    [HeroConst.SacrificeType.eSoulCallback] = UI_TI18N(10005),
}
--英雄共鸣类型
HeroConst.ResonateType = {
    eResonate        =   1, --英雄水晶
    eStoneTablet     =   2, --英雄石碑增益
    eEmpowerment     =   3, --英雄石碑注能
}
--英雄分解类型
HeroConst.ResetType = {
    eHeroReset     =   1, --英雄献祭
    eChipReset     =   2, --英雄碎片献祭
    eHolyEquipSell =   3, --神装出售
    eTenStarChang  =   4, --10星置换
    eActionHeroReset   =   5, --活动的英雄重生
    eFunriture     =   6, -- 家具出售
    eHeroReturn   =   7, --常驻的英雄回退
    eSpriteReturn   =   8, --活动的精灵重生
}


--英雄锁定类型(一般由服务端定义)
HeroConst.LockType = {
    eHeroLock          =   1, --英雄锁定
    eHeroChangeLock    =   2, --英雄置换锁定
    eHeroResonateLock  =   98, --英雄共鸣锁定 --客户端定义
    eFormLock          =   99, --英雄上阵锁定 --客户端定义 
}

--英雄阵营类型
HeroConst.CampType = { 
    eNone          = 0 , --无
    eWater         = 1 , --水
    eFire          = 2 , --火
    eWind          = 3 , --风
    eLight         = 4 , --光
    eDark          = 5 , --暗
    eSoil          = 6 , --土
    eLingtDark     = 7 , --光暗
}

--英雄阵营对应名字
HeroConst.CampName = { --水火风光暗
    [HeroConst.CampType.eNone]          = UI_TI18N(10000012) , --无
    [HeroConst.CampType.eWater]         = UI_TI18N(10000013) , --无
    [HeroConst.CampType.eFire]          = UI_TI18N(10000014) , --无
    [HeroConst.CampType.eWind]          = UI_TI18N(10000015) , --无
    [HeroConst.CampType.eLight]         = UI_TI18N(10000016) , --无
    [HeroConst.CampType.eDark]          = UI_TI18N(10000017) , --无
    [HeroConst.CampType.eSoil]          = UI_TI18N(10000018) , --无
}
--英雄阵营对应属性名字
HeroConst.CampAttrName = { --水火风光暗
    [HeroConst.CampType.eNone]          = UI_TI18N(10000019) , --无
    [HeroConst.CampType.eWater]         = UI_TI18N(10000020) , --无
    [HeroConst.CampType.eFire]          = UI_TI18N(10000021) , --无
    [HeroConst.CampType.eWind]          = UI_TI18N(10000022) , --无
    [HeroConst.CampType.eLight]         = UI_TI18N(10000023) , --无
    [HeroConst.CampType.eDark]          = UI_TI18N(10000024) , --无
    [HeroConst.CampType.eSoil]          = UI_TI18N(10000025) , --无
}

--阵营图标资源名字-图集gw_hero_head
HeroConst.CampTypeRes = {
    [HeroConst.CampType.eNone]  = "gw_hero_head_camptype_all",
    [HeroConst.CampType.eWater] = "gw_hero_head_camptype_water",
    [HeroConst.CampType.eFire]  = "gw_hero_head_camptype_fire",
    [HeroConst.CampType.eWind]  = "gw_hero_head_camptype_wind",
    [HeroConst.CampType.eLight] = "gw_hero_head_camptype_light",
    [HeroConst.CampType.eDark]  = "gw_hero_head_camptype_dark",
    [HeroConst.CampType.eSoil]  = "gw_hero_head_camptype_soil",
}
--骨骼英雄头顶阵营图标资源名字-图集gw_hero_spine_top
HeroConst.CampTypeSpineTopRes = {
    [HeroConst.CampType.eWater] = "gw_hero_spine_top_camp_type_water",
    [HeroConst.CampType.eFire]  = "gw_hero_spine_top_camp_type_fire",
    [HeroConst.CampType.eWind]  = "gw_hero_spine_top_camp_type_wind",
    [HeroConst.CampType.eLight] = "gw_hero_spine_top_camp_type_light",
    [HeroConst.CampType.eDark]  = "gw_hero_spine_top_camp_type_dark",
    [HeroConst.CampType.eSoil]  = "gw_hero_spine_top_camp_type_soil",
}

--阵营图标一般资源名字-图集gw_common
HeroConst.CampTypeNormalRes = {
    [HeroConst.CampType.eNone]  = string.format("gw_common_camptype_normal_%s",HeroConst.CampType.eNone),
    [HeroConst.CampType.eWater] = string.format("gw_common_camptype_normal_%s",HeroConst.CampType.eWater),
    [HeroConst.CampType.eFire]  = string.format("gw_common_camptype_normal_%s",HeroConst.CampType.eFire),
    [HeroConst.CampType.eWind]  = string.format("gw_common_camptype_normal_%s",HeroConst.CampType.eWind),
    [HeroConst.CampType.eLight] = string.format("gw_common_camptype_normal_%s",HeroConst.CampType.eLight),
    [HeroConst.CampType.eDark]  = string.format("gw_common_camptype_normal_%s",HeroConst.CampType.eDark),
    [HeroConst.CampType.eSoil]  = string.format("gw_common_camptype_normal_%s",HeroConst.CampType.eSoil),
}

--阵营背景资源名字
HeroConst.CampBgRes = {
    [HeroConst.CampType.eWater] = "hero_info_bg_1",
    [HeroConst.CampType.eFire]  = "hero_info_bg_2",
    [HeroConst.CampType.eWind]  = "hero_info_bg_3",
    [HeroConst.CampType.eLight] = "hero_info_bg_4",
    [HeroConst.CampType.eDark]  = "hero_info_bg_5",
    [HeroConst.CampType.eSoil]  = "hero_info_bg_5",
}

--阵营底座背景资源名字
HeroConst.CampBottomBgRes = {
    [HeroConst.CampType.eWater] = "hero_camp_1",
    [HeroConst.CampType.eFire]  = "hero_camp_2",
    [HeroConst.CampType.eWind]  = "hero_camp_3",
    [HeroConst.CampType.eLight] = "hero_camp_4",
    [HeroConst.CampType.eDark]  = "hero_camp_5",
    [HeroConst.CampType.eSoil]  = "hero_camp_5",
}


--英雄职业类型
HeroConst.CareerType ={
    eNone     = 0 , --无
    eMagician     = 2 , --法师
    eWarrior      = 3 , --战士
    eTank         = 4 , --坦克
    eAssistant     = 5 , --辅助
    eAssassin      = 6 , --刺客
    eShooter      = 7 , --射手
}
--英雄职业对应名字
HeroConst.CareerName ={
    [HeroConst.CareerType.eNone]        = TI18N("None"),
    [HeroConst.CareerType.eMagician]    = UI_TI18N(39002),
    [HeroConst.CareerType.eWarrior]     = UI_TI18N(39001),
    [HeroConst.CareerType.eTank]        = UI_TI18N(39003),
    [HeroConst.CareerType.eAssistant]    = UI_TI18N(39004),
    [HeroConst.CareerType.eAssassin]     = UI_TI18N(39005),
    [HeroConst.CareerType.eShooter]     = UI_TI18N(39006),
}
--英雄职业对应名字
HeroConst.CareerName2 ={
    [HeroConst.CareerType.eNone]        = TI18N("None"),--TI18N("无"),
    [HeroConst.CareerType.eMagician]    = TI18N("法"),
    [HeroConst.CareerType.eWarrior]     = TI18N("物"),
    [HeroConst.CareerType.eTank]        = TI18N("坦"),
    [HeroConst.CareerType.eAssistant]    = TI18N("辅"),
    [HeroConst.CareerType.eAssassin]     = TI18N("刺"),
    [HeroConst.CareerType.eShooter]     = TI18N("射"),
}

--英雄item显示类型
HeroConst.ExhibitionItemType = {
    eNone  =   0, -- 无
    eHeroBag = 1 , --英雄背包类型
    ePokedex = 2 , --图鉴变灰类型
    eHeroChange = 4 , --英雄转换界面
    eFormFight = 7 , --布阵出战界面
    eVoyage = 8 , --远航界面
    eExpeditFight = 9 , --远征
    eStronger = 10 , --我要变强
    eEndLessHero = 11 , --是否是无尽试炼雇佣的英雄
    eAdventure = 12, -- 冒险
    eLimitExercise = 13, -- 限时试炼之境
    ePlanes = 14, -- 位面
}

--英雄红点类型
HeroConst.RedPointType ={
    eRPLevelUp  = 1,   --升级升阶
    eRPEquip    = 2,   --装备
    eRPStar     = 3,   --升星
    eRPTalent   = 4,   --天赋技能
    eRPHalidom_Unlock = 5, -- 圣物解锁
    eRPHalidom_Lvup = 6,   -- 圣物升级
    eRPHalidom_Step = 7,   -- 圣物进阶
    eResonate_extract = 8,   -- 共鸣精炼
    eResonate_stone = 9,   -- 共鸣石碑
    -- Artifact = 5,
    eElfin_hatch_done = 10, -- 精灵孵化完成
    eElfin_tree_lvup = 11,  -- 精灵古树可升级或进阶
    eElfin_empty_pos = 12,  -- 精灵古树有可放置的精灵
    eElfin_compound = 13,   -- 上阵的精灵可合成
    eElfin_higher_lv = 14,  -- 上阵精灵有更高级的精灵
    eElfin_hatch_lvup = 15, -- 灵窝可升级
    eElfin_hatch_egg = 16,  -- 有可孵化的灵窝和蛋
    eElfin_activate = 17,   -- 精灵图鉴红点
    eElfin_hatch_open = 18,   -- 灵窝可解锁
    eElfin_summon = 19,   -- 精灵免费召唤

    eGWStory_Reward = 20,   -- 故事奖励
}

--装备位置列表
HeroConst.EquipPosList = {
    [1] = BackPackConst.item_type.WEAPON, -- 武器
    [2] = BackPackConst.item_type.SHOE, -- 鞋子
    [3] = BackPackConst.item_type.CLOTHES, -- 衣服
    [4] = BackPackConst.item_type.HAT, -- 头盔
}

--神装装备位置列表
HeroConst.HolyequipmentPosList = {
    [1] = BackPackConst.item_type.GOD_EARRING,  -- 耳环
    [2] = BackPackConst.item_type.GOD_NECKLACE, -- 项链
    [3] = BackPackConst.item_type.GOD_RING,     -- 戒指
    [4] = BackPackConst.item_type.GOD_BANGLE,   -- 手镯
}

-- 神装item对应的默认资源名称
HeroConst.HolyEmptyIconName = {
    [BackPackConst.item_type.GOD_EARRING] = "hero_info_25",  --耳环
    [BackPackConst.item_type.GOD_RING] = "hero_info_27",  --戒指
    [BackPackConst.item_type.GOD_NECKLACE] = "hero_info_26",  --项链
    [BackPackConst.item_type.GOD_BANGLE] = "hero_info_28",  --手镯
}

--英雄绘图分享来源类型
HeroConst.ShareType = {
    eHeroInfoShare = 1,     --英雄信息绘图分享
    eLibraryInfoShare = 2,  --图书馆信息绘图分享
}

--英雄界面分享频道类型
HeroConst.ShareBtnType = {
    eHeroShareCross = 1 , --跨服频道 
    eHeroShareWorld = 2 , --世界频道 
    eHeroShareGuild = 3 , --公会频道 
}

--打开装备tips、面板来源类型
HeroConst.EnterType = {
    eOhter        = 0, --其他
    eHolyPlan     = 1, --神装方案管理
}

HeroConst.SelectHeroType = {
    eStarFuse     = 1, --表示融合祭坛
    eUpgradeStar  = 2, --表示升星界面的
    eHalidom      = 3, --圣物
    eTenConvert   = 4, --活动10星置换
    eResonateStone     = 5, --共鸣圣阵选择英雄
    eResonateEmpowerment = 6,   -- 共鸣赋能选择英雄
    eResonateCrystal = 7, --共鸣水晶(改版后增加的第一个页签)
    eLegionExpand = 8, --军团拓展活动
}

--长时间点击类型
LONG_TOUCH_INIT_TYPE = 0   --初始化状态
LONG_TOUCH_BEGAN_TYPE = 1  --长按开始 
LONG_TOUCH_END_TYPE = 2    --长按因为触发了事件结束了
LONG_TOUCH_CANCEL_TYPE = 3 --长按取消


--阵营图标资源名字-图集gw_common_01
HeroConst.GW_CampTypeRes = {
    [HeroConst.CampType.eNone]  = "ele_all",
    [HeroConst.CampType.eWater] = "ele_shui",
    [HeroConst.CampType.eFire]  = "ele_huo",
    [HeroConst.CampType.eWind]  = "ele_feng",
    [HeroConst.CampType.eLight] = "ele_guang",
    [HeroConst.CampType.eDark]  = "ele_an",
    [HeroConst.CampType.eSoil]  = "ele_tu",
    [HeroConst.CampType.eLingtDark]  = "ele_guangan",
}
HeroConst.GW_CampTypeRes3 = {
    [HeroConst.CampType.eNone]  = "gw_camp_tye_3_ele_huo",
    [HeroConst.CampType.eWater] = "gw_camp_tye_3_ele_shui",
    [HeroConst.CampType.eFire]  = "gw_camp_tye_3_ele_huo",
    [HeroConst.CampType.eWind]  = "gw_camp_tye_3_ele_feng",
    [HeroConst.CampType.eLight] = "gw_camp_tye_3_ele_guang",
    [HeroConst.CampType.eDark]  = "gw_camp_tye_3_ele_an",
    [HeroConst.CampType.eSoil]  = "gw_camp_tye_3_ele_tu",
}
HeroConst.GW_CampTypeRes4 = {
    [HeroConst.CampType.eNone]  = "gw_camp_tye_4_shui",
    [HeroConst.CampType.eWater] = "gw_camp_tye_4_shui",
    [HeroConst.CampType.eFire]  = "gw_camp_tye_4_huo",
    [HeroConst.CampType.eWind]  = "gw_camp_tye_4_feng",
    [HeroConst.CampType.eLight] = "gw_camp_tye_4_guang",
    [HeroConst.CampType.eDark]  = "gw_camp_tye_4_an",
    [HeroConst.CampType.eSoil]  = "gw_camp_tye_4_tu",
}
--阵营弯角图标资源名字-图集gw_common_01
HeroConst.GW_CampTypeCornerRes = {
    [HeroConst.CampType.eNone]  = "ele_all",
    [HeroConst.CampType.eWater] = "ele_shui_",
    [HeroConst.CampType.eFire]  = "ele_huo_",
    [HeroConst.CampType.eWind]  = "ele_feng_",
    [HeroConst.CampType.eLight] = "ele_guang_",
    [HeroConst.CampType.eDark]  = "ele_an_",
    [HeroConst.CampType.eSoil]  = "ele_tu_",
}
--英雄职业对应图标-图集gw_common_01
HeroConst.GW_CareerRes ={
    [HeroConst.CareerType.eNone]        = "",
    [HeroConst.CareerType.eMagician]    = "job_fashi",
    [HeroConst.CareerType.eWarrior]     = "job_zhanshi",
    [HeroConst.CareerType.eTank]        = "job_tanke",
    [HeroConst.CareerType.eAssistant]   = "job_fuzhu",
    [HeroConst.CareerType.eAssassin]    = "job_cike",
    [HeroConst.CareerType.eShooter]     = "job_sheshou",
}
--英雄职业对应白色图标-图集gw_common_01
HeroConst.GW_CareerWhiteRes ={
    [HeroConst.CareerType.eNone]        = "",
    [HeroConst.CareerType.eMagician]    = "job_white_fashi",
    [HeroConst.CareerType.eWarrior]     = "job_white_zhanshi",
    [HeroConst.CareerType.eTank]        = "job_white_tanke",
    [HeroConst.CareerType.eAssistant]   = "job_white_fuzhu",
    [HeroConst.CareerType.eAssassin]    = "job_white_cike",
    [HeroConst.CareerType.eShooter]     = "job_white_sheshou",
}